指定对象是使用打印文件中为其指定的线宽进行打印,还是使用图形文件中的线宽进行打印。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论没有额外的评论。 例子工 务 局: Sub Example_PlotWithLineweights() ' This example reads and modifies the PlotWithLineweights ' Layout value. ' When finished, this example resets the value back to ' its original value. Dim ACADLayout As ACADLayout Dim originalValue As Boolean ' Get the layout object Set ACADLayout = ThisDrawing.ActiveLayout ' Read and display the original value originalValue = ACADLayout.PlotWithLineweights MsgBox "The PlotWithLineweights value is set to: " & originalValue ' Modify the PlotWithLineweights preference by toggling the value ACADLayout.PlotWithLineweights = Not ACADLayout.PlotWithLineweights MsgBox "The PlotWithLineweights preference has been set to: " & ACADLayout.PlotWithLineweights ' Reset the preference back to its original value ACADLayout.PlotWithLineweights = originalValue MsgBox "The PlotWithLineweights preference was reset back to: " & originalValue End Sub Visual LISP: (vl-load-com) (defun c:Example_PlotWithLineweights() ;; This example reads and modifies the PlotWithLineweights ;; Layout value. ;; When finished, this example resets the value back to ;; its original value. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Get the layout object (setq ACADLayout (vla-get-ActiveLayout doc)) ;; Read and display the original value (setq originalValue (vla-get-PlotWithLineweights ACADLayout)) (alert (strcat "The PlotWithLineweights value is set to: " (if (= originalValue :vlax-true) "True" "False"))) ;; Modify the PlotWithLineweights preference by toggling the value (vla-put-PlotWithLineweights ACADLayout (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-PlotWithLineweights ACADLayout)) (alert (strcat "The PlotWithLineweights preference has been set to: " (if (= newValue :vlax-true) "True" "False"))) ;; Reset the preference back to its original value (vla-put-PlotWithLineweights ACADLayout originalValue) (alert (strcat "The PlotWithLineweights preference was reset back to: " (if (= originalValue :vlax-true) "True" "False"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:36
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.